Bug 603628 - Review Request: aldusleaf-crimson-text-fonts - A latin font for the production of technical books and papers
Review Request: aldusleaf-crimson-text-fonts - A latin font for the productio...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pravin Satpute
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-14 04:24 EDT by Parag Nemade
Modified: 2010-07-22 06:52 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-22 06:52:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
psatpute: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Parag Nemade 2010-06-14 04:24:16 EDT
Spec URL: http://paragn.fedorapeople.org/fedora-work/SPECS/aldusleaf-crimson-text-fonts.spec
SRPM URL: http://paragn.fedorapeople.org/fedora-work/SRPMS/aldusleaf-crimson-text-fonts-0-0.2.20100523.fc13.src.rpm
Description: 
A latin font for a quality typeface for the production of books and
papers, particularly technical ones.
Comment 2 Pravin Satpute 2010-06-25 02:15:26 EDT
+ package builds in mock (rawhide i686).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=2271467
+ rpmlint is silent for SRPM and for RPM.
aldusleaf-crimson-text-fonts.src: W: no-buildroot-tag
not required from f13
aldusleaf-crimson-text-fonts.noarch: W: obsolete-not-provided crimson-text-fonts
ok, since changes happened in devel only

+ source files match upstream url
4fde45b7b447e558da9585826734cd7b  crimson_text_100608.zip

+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
-  package installed properly.

1)
	a) Crimson Text Roman (Book, Semibold, Bold)
	b) Crimson Text Italic (Book, Semibold, Bold) 
are the two these are 2 families


but when we install it show in font selection 
Crimson Text - Italit
		Roman
	       Semibold
	       Semibold
	       Bold
	       Bold

so user cant recognize, which one is roman and which one italic family

suggestion: use family name 1) Crimson Text Roman and 2) Crimson Text Italic in .sfd file

2) It will be good to make two subpackages 
	a) will be aldusleaf-crimson-text-roman-fonts
	a) will be aldusleaf-crimson-text-italic-fonts
it will give birth to common package as well, as per fonts spec guideline

+ Macro use appears rather consistent.
+ Package contains code, not content. // ask this
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ fonts scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Not a GUI application
Comment 4 Pravin Satpute 2010-07-20 02:00:10 EDT
suggestion:
1) It will be nice if you can build otf from sources, see lohit-devanagari for reference

2) Roman is not looks like style, might be upstream is trying to convey some different thing

Roman might be Family or Sub-Family
Do talk this with upstream, or may be i can report bug for this afterword

no more problem

+ Package is installing properly now
Comment 6 Parag Nemade 2010-07-20 02:48:31 EDT
Thanks for the review!

New Package CVS Request
=======================
Package Name: aldusleaf-crimson-text-fonts
Short Description:  A latin font for the production of technical books and papers 
Owners: pnemade
Branches: 
InitialCC: i18n-team fonts-sig
Comment 7 Kevin Fenzi 2010-07-21 01:15:58 EDT
CVS done (by process-cvs-requests.py).
Comment 8 Parag Nemade 2010-07-22 06:52:15 EDT
Built in rawhide.

Note You need to log in before you can comment on or make changes to this bug.